Support » Plugin: CLUEVO LMS, E-Learning Platform » Error message with version 1.5

  • Resolved ianmp

    (@ianmp)


    Just updated to version 1.5. Not only has the error message about MariaDb not gone away but a further error message now appear above that, as follows:

    Warning: mysqli_connect(): (HY000/2002): Connection refused in /volume1/web/wordpress/wp-content/plugins/cluevo-lms/functions/functions.inc.php on line 803 Warning: mysqli_get_server_info() expects parameter 1 to be mysqli, boolean given in /volume1/web/wordpress/wp-content/plugins/cluevo-lms/functions/functions.inc.php on line 804

Viewing 11 replies - 1 through 11 (of 11 total)
  • Plugin Author CLUEVO

    (@cluevo)

    hey thank’s for the heads up, I’ll get right on it!

    Plugin Author CLUEVO

    (@cluevo)

    I’ve just pushed an update, that should hopefully fix this. I can’t replicate the notice you’re describing though. Can you tell me what mariadb version you are running?

    [ Signature deleted ]

    Thread Starter ianmp

    (@ianmp)

    WordPress ‘Site Health’ reports the database as the following:

    Extension mysqli
    Server version 10.3.21-MariaDB
    Client version mysqlnd 5.0.12-dev – 20150407 – $Id: 3591daad22de08524295e1bd073aceeff11e6579 $

    However, mariadb.com reports version 10 as equal to mysql v5.6

    Plugin Author CLUEVO

    (@cluevo)

    Great thanks. Do you still get the errors?

    Thread Starter ianmp

    (@ianmp)

    I rolled back to version 1.47 (I use WP Rollback to protect against plugin update errors). Original MariaDb error still there but new error gone away.

    Thread Starter ianmp

    (@ianmp)

    Installed your latest 1.51 now and the nasty error message has not reappeared. The original MariaDb message is still displayed but it seems to have no impact on any data creation, display or run-time.

    Thread Starter ianmp

    (@ianmp)

    OK, new error when I refresh posts:

    Warning: mysqli_connect(): (HY000/2002): Connection refused in /volume1/web/wordpress/wp-content/plugins/cluevo-lms/functions/functions.inc.php on line 803

    Do you want to take this offline?

    Thread Starter ianmp

    (@ianmp)

    rollback once again removes the error message

    Plugin Author CLUEVO

    (@cluevo)

    yep, sorry. I’ve removed the mysql check for now. Really sorry for the inconvenience. The message should only ever have displayed on the backend though.

    Thread Starter ianmp

    (@ianmp)

    No problem, and yes, Maria Db message shows backend only. Might be worth mentioning that while the ‘MariaDb message’ seemed to be a Cluevo’s message box, the new errors are WordPress Db error messages

    Thread Starter ianmp

    (@ianmp)

    All error messages (including the two new ones) so far now gone with version 1.52. Thanks guys! Will keep you informed.

Viewing 11 replies - 1 through 11 (of 11 total)
  • The topic ‘Error message with version 1.5’ is closed to new replies.